Subject: Re: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Jan 2020 10:03:52 +0200

> From: Vladimir Nikishkin <[email-masked]>
> Date: Sat, 11 Jan 2020 13:52:56 +0800
> 
> 
> I am using Slackware-current (post 14.2), with SCIM input method enabled
> in order to provide Chinese input method into other applications.
> (I am aware about Emacs' build-in input method, and do not use SCIM
> in Emacs itself. Still, Emacs is capable of receiving input from SCIM.)
> If SCIM's process dies unexpectedly (such as if I issue sudo pkill -9
> scim),
> with probablility of about 1/2, Emacs hangs and stops responding to
> input. I am using a GTK Emacs.

Next time Emacs hangs, please attach GDB to it and show the backtrace
for all the threads ("thread apply all bt" at GDB prompt).

Thanks.